<div class="container mw-96 pt-0 pb-3">

    <ng-container *ngIf="tProducts">
        <ng-container *ngIf="tProducts.length > 0">
            <div class="row">
                <h3 class="slider-h pt-4 plr-0 mb-2" style="font-size: 21px !important;text-transform: capitalize;">Fin prochaine <a class="ankr-big float-right " >Voir plus </a></h3>


            
                


                <div slickContainer #slickController="slick" [slickConfig]="config">
                    <ng-container *ngIf="slickController.initialize">

                        <div *ngFor="let product of tProducts; let index = index">
                            <div class="slide" slickItem>
                                <div>
                                    <div class="product-grid">
                                        <!-- <div >
                                            {{ ( calcDateDiff(product.auction_end_date) | json )}}
                                        </div>
                                        <div *ngIf="calcDateDiff(product.auction_end_date) as variable">
                                            <span>{{variable.daysToDday}}</span>
                                            <span>{{variable.hoursToDday}}</span>
                                            <span>{{variable.minutesToDday}}</span>
                                            <span>{{variable.secondsToDday}}</span>
                                        </div> -->
                                        


                                        <div class="product-image">


                                            <div *ngIf="product.images.length != 0;else other_content">
                                                <a routerLink="/view-product/{{product._id}}" target="">
                                                    <img class="pic-1" src="{{baseurl}}static/public/{{product.images[0]}}">
                                                    <div class="info1 py-2 px-2">
                                                        <div class="">
                                                            <div class="col-lg-12 col-md-12 col-sm-12 col-12 text-right p-0 w-100">
                                                                <button class="btn btn-auction">Encan</button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="info py-2 px-2">
                                                        <div class="row px-3">
                                                            <div class="p-0">


<table class="tbl-p"   >
    <tbody>
        <tr>
            <td colspan="4">Cette offre prend fin </td>
        </tr>
        <!-- <tr>
            date: {{getcount(product.auction_start_date,product.auction_end_date)}}
            <td>{{product.auction_start_date |date:'M/d/yy, h:mm a'}}</td>
        </tr>
        <tr>
            <td>{{product.auction_end_date |date:'M/d/yy, h:mm a'}}</td>
        </tr> -->

        <tr *ngIf="calcDateDiff(product.auction_end_date) as variable">
            <td style="width:25%;">
            <div class="time-s"></div>
            {{variable.daysToDday}} J
            </td>
            <td style="width:25%;">
            <div class="time-s"></div>
            {{variable.hoursToDday}} H
            </td>
            <td style="width:25%;">
            <div class="time-s"></div>
            {{variable.minutesToDday}} M
            </td>
            <td style="width:25%;">
            <div class="time-s"></div>
            {{variable.secondsToDday}} S
            </td>
        </tr>
    </tbody>
</table>


                                                            </div>
                                                        </div>
                                                    </div>
                                                </a>
                                            </div>
                                            <ng-template #other_content>
                                                <img class="pic-1" src="./assets/build/img/nopro2.png">
                                            </ng-template>
                                        </div>

                                        <div class="product-content">
                                            <h3 class="title"><a>{{product.title}}</a></h3>
                                        
                                            <div class="ra-ting-spn" style="cursor: not-allowed !important;position: relative;
                                            z-index: 1;">
                                                <ngb-rating [max]=5 [(rate)]="product.avgRating"></ngb-rating>
                                                <span class="value" *ngIf="product.reviews">({{product.reviews.length}}) </span>
                                            </div>


                                            <div class="price">
                                                {{product.auction_price}} CFA
                                                


                                            </div>
                                            <div *ngIf="product.is_auction == true" >
                                                <ng-container *ngIf="product.auctionAmount.length > 0">
                                                    <p class="text-left">
                                                        <span class="spn-lb">Dernière offre
                                                        : CFA
                                                        {{product.auctionAmount[0].bid_amount}}</span>
                                                    </p>
                                                </ng-container>
                                                <a *ngIf="product.is_auction == true" class="btn btn-gbid w-100" routerLink="/view-product/{{product._id}}" ><i class="fa-solid fa-gavel"></i> Enchérir Maintenant</a>
                                            </div>
                                            
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>


                    </ng-container>

                </div>
            </div>
        </ng-container>
    </ng-container>
    <div class="row " *ngFor="let category of homepro; let i = index">

        <div class="container mt-20" *ngIf="i == 2">
            <br>

            <div class="row">
                <div class="col-lg-10 col-md-10 col-sm-12 col-12 m-a">
                    <div class="row">
                       <ng-container *ngFor="let vall of middlebanner">
                          <div class="col-lg-6 col-md-6 col-sm-12 col-12 mob-mb-15 s-pl-93">
                            <img class="mw-100" src="{{baseurl}}static/public/{{vall.image}}" alt="sb1">
                        </div>
                         
                       </ng-container>
                        
                    </div>

                </div>


            </div>
        </div>

       
        

        <h3 class="slider-h pt-4 plr-0 mb-2" style="font-size: 21px !important;text-transform: capitalize;">{{category.title}} <a class="ankr-big float-right " href="/productList?cat_id={{category._id}}">Voir plus </a></h3>

        <div slickContainer #slickController="slick" [slickConfig]="config">
            <ng-container *ngIf="slickController.initialize">

                <div *ngFor="let product of category.products; let index = index">
                    <div class="slide" slickItem>
                        <div>
                            <div class="product-grid">
                                <div class="product-image">


                                    <div *ngIf="product.images.length != 0;else other_content">
                                        <a routerLink="/view-product/{{product._id}}" target="">
                                            <img class="pic-1" src="{{baseurl}}static/public/{{product.images[0]}}">
                                            <div class="info1 py-2 px-2">
                                                <div class="">
                                                    <div class="col-lg-12 col-md-12 col-sm-12 col-12 text-right p-0 w-100">
                                                        <ng-container *ngIf="checkStartDate(product.auction_start_date) == true ">
                                                        <button *ngIf="product.is_auction == true" class="btn btn-auction">Encan</button>
                                                    </ng-container>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="info py-2 px-2">
                                                <div class="row px-3">
                                                    <div class="p-0" >
<ng-container *ngIf="product.is_auction == true">
<table class="tbl-p" *ngIf="checkStartDate(product.auction_start_date) == true ">
    
    <tbody>
        <tr>
            <td colspan="4">Cette offre prend fin</td>
        </tr>
        <tr *ngIf="calcDateDiff(product.auction_end_date) as variable">
            <td style="width:25%;">
            <div class="time-s"></div>
            {{variable.daysToDday}} J
            </td>
            <td style="width:25%;">
            <div class="time-s"></div>
            {{variable.hoursToDday}} H
            </td>
            <td style="width:25%;">
            <div class="time-s"></div>
            {{variable.minutesToDday}} M
            </td>
            <td style="width:25%;">
            <div class="time-s"></div>
            {{variable.secondsToDday}} S
            </td>
        </tr>
    </tbody>
</table>
</ng-container>
                                                    </div>
                                                </div>
                                            </div>
                                        </a>
                                    </div>
                                    <ng-template #other_content>
                                        <img class="pic-1" src="./assets/build/img/nopro2.png">
                                    </ng-template>
                                </div>

                                <div class="product-content">
                                    <h3 class="title"><a>{{product.title}}</a></h3>
                                   
                                    <div class="ra-ting-spn" style="cursor: not-allowed !important;position: relative;
                                       z-index: 1;">
                                        <ngb-rating [max]=5 [(rate)]="product.avgRating"></ngb-rating>
                                        <span class="value" *ngIf="product.reviews">({{product.reviews.length}}) </span>
                                    </div>


                                    <div class="price">
                                        {{product.price}} CFA
                                        


                                    </div>

                                    <div *ngIf="product.is_auction == true" >
                                        <ng-container *ngIf="checkStartDate(product.auction_start_date) == true "> 
                                        <ng-container *ngIf="product.auctionAmount.length > 0">
                                            <p class="text-left">
                                                <span class="spn-lb">Dernière offre
                                                : CFA
                                                {{product.auctionAmount[0].bid_amount}}</span>
                                            </p>
                                        </ng-container>
                                        <a *ngIf="product.is_auction == true" class="btn btn-gbid w-100" routerLink="/view-product/{{product._id}}" ><i class="fa-solid fa-gavel"></i> Enchérir Maintenant</a>
                                        </ng-container>
                                    </div>
                                    
                                </div>
                            </div>
                        </div>
                    </div>

                </div>


            </ng-container>

        </div>
    </div>

</div>